Repocop reports by acl

  packager rpm id test Status message
@python python-module-Pyrex-0.9.9-alt1.1.src beehive-log-unpackaged-files-found-x86_64 info warning: Installed (but unpackaged) file(s) found:
/usr/lib/python2.7/site-packages/Pyrex/Mac/DarwinSystem.py
/usr/lib/python2.7/site-packages/Pyrex/Mac/DarwinSystem.pyc
/usr/lib/python2.7/site-packages/Pyrex/Mac/DarwinSystem.pyo
/usr/lib/python2.7/site-packages/Pyrex/Mac/MacSystem.py
/usr/lib/python2.7/site-packages/Pyrex/Mac/MacSystem.pyc
/usr/lib/python2.7/site-packages/Pyrex/Mac/MacSystem.pyo
/usr/lib/python2.7/site-packages/Pyrex/Mac/MacUtils.py
/usr/lib/python2.7/site-packages/Pyrex/Mac/MacUtils.pyc
/usr/lib/python2.7/site-packages/Pyrex/Mac/MacUtils.pyo
/usr/lib/python2.7/site-packages/Pyrex/Mac/TS_Misc_Suite.py
/usr/lib/python2.7/site-packages/Pyrex/Mac/TS_Misc_Suite.pyc
/usr/lib/python2.7/site-packages/Pyrex/Mac/TS_Misc_Suite.pyo
/usr/lib/python2.7/site-packages/Pyrex/Mac/__init__.py
/usr/lib/python2.7/site-packages/Pyrex/Mac/__init__.pyc
/usr/lib/python2.7/site-packages/Pyrex/Mac/__init__.pyo
/usr/lib/python2.7/site-packages/Pyrex/Mac/setup.py
/usr/lib/python2.7/site-packages/Pyrex/Mac/setup.pyc
/usr/lib/python2.7/site-packages/Pyrex/Mac/setup.pyo
/usr/lib/python2.7/site-packages/Pyrex/Plex/test_tm.py
/usr/lib/python2.7/site-packages/Pyrex/Plex/test_tm.pyc
/usr/lib/python2.7/site-packages/Pyrex/Plex/test_tm.pyo
dd screencaster-0.4-alt1.noarch checkbashisms experimental checkbashisms utility found possible bashisms in: /usr/bin/recstart
lav ice-servers-3.3.1-alt2.3.1.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
lav ice-servers-3.3.1-alt2.3.1.x86_64 init-condrestart warn /etc/rc.d/init.d/glacier2router: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway./etc/rc.d/init.d/icegridnode: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway./etc/rc.d/init.d/icegridregistry: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway.
lav ice-servers-3.3.1-alt2.3.1.x86_64 init-lsb fail /etc/rc.d/init.d/glacier2router: not systemd compatible: lsb init header missing and glacier2router.service is not present. /etc/rc.d/init.d/icegridnode: not systemd compatible: lsb init header missing and icegridnode.service is not present. /etc/rc.d/init.d/icegridregistry: not systemd compatible: lsb init header missing and icegridregistry.service is not present. See http://www.altlinux.org/Services_Policy for details.
lav libdbus-c++-apidocs-0.9.0-alt2.x86_64 arch-dep-package-consists-of-usr-share info The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ldv libssl-devel-static-1.0.2o-alt1.x86_64 rpm-filesystem-conflict-file-file warn File /usr/lib64/libssl.a conflicts with the package libnss-devel-static-3.36.0-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
piastry pdns-4.0.3-alt2.x86_64 systemd-but-no-native-init warn The package have native systemd file(s) but no SysV init scripts.
shrek evince-3.28.2-alt1.x86_64 arch-dep-package-has-big-usr-share info The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
shrek evince-3.28.2-alt1.x86_64 freedesktop-desktop info desktop-file-validate utility printed the following message(s): /usr/share/applications/evince.desktop: hint: value "GNOME;GTK;Office;Viewer;Graphics;2DGraphics;VectorGraphics;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
desktop-file-validate utility printed the following message(s): /usr/share/applications/evince-previewer.desktop: warning: value "Pregled prije ?tampe" for key "Comment[bs]" in group "Desktop Entry" looks redundant with value "Pregled prije ?tampe" of key "Name[bs]"
/usr/share/applications/evince-previewer.desktop: warning: value "Aper?u avant impression" for key "Comment[fr]" in group "Desktop Entry" looks redundant with value "Aper?u avant impression" of key "Name[fr]"
/usr/share/applications/evince-previewer.desktop: warning: value "Afdrukvoorbeeld" for key "Comment[nl]" in group "Desktop Entry" looks redundant with value "Afdrukvoorbeeld" of key "Name[nl]"
/usr/share/applications/evince-previewer.desktop: warning: value "Apercebut abans impression" for key "Comment[oc]" in group "Desktop Entry" looks redundant with value "Apercebut abans impression" of key "Name[oc]"
/usr/share/applications/evince-previewer.desktop: warning: value "?????????????????????" for key "Comment[th]" in group "Desktop Entry" looks redundant with value "?????????????????????" of key "Name[th]"
/usr/share/applications/evince-previewer.desktop: hint: value "GNOME;GTK;Office;Viewer;Graphics;2DGraphics;VectorGraphics;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
sin Miro-3.5.0-alt3.1.x86_64 arch-dep-package-has-big-usr-share info The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
sin Miro-3.5.0-alt3.1.x86_64 freedesktop-desktop info desktop-file-validate utility printed the following message(s): /usr/share/applications/miro.desktop: hint: value item "TV" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: AudioVideo;Video
/usr/share/applications/miro.desktop: hint: value item "P2P" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Network
/usr/share/applications/miro.desktop: hint: value item "News" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Network
/usr/share/applications/miro.desktop: hint: value item "FileTransfer" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Network
sin Tartarus-dnsupdate-0.1.0-alt0.3.2.1.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
sin Tartarus-dnsupdate-0.1.0-alt0.3.2.1.x86_64 init-lsb fail /etc/rc.d/init.d/tdnsupdate: not systemd compatible: lsb init header missing and tdnsupdate.service is not present. See http://www.altlinux.org/Services_Policy for details.
sin Tartarus-srv1-0.8.3-alt3.3.x86_64 checkbashisms experimental checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/Tartarus
sin Tartarus-srv1-0.8.3-alt3.3.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
sin Tartarus-srv1-0.8.3-alt3.3.x86_64 init-lsb fail /etc/rc.d/init.d/Tartarus: not systemd compatible: lsb init header missing and Tartarus.service is not present. See http://www.altlinux.org/Services_Policy for details.
sin apt-conf-tmp-cache-1.0-alt1.noarch systemd-but-no-native-init warn The package have native systemd file(s) but no SysV init scripts.
sin kbibtex-0.4.1-alt1.x86_64 freedesktop-desktop info desktop-file-validate utility printed the following message(s): /usr/share/applications/kde4/kbibtex.desktop: hint: value "Qt;KDE;Office;Database;Science;Literature;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
sin kile-2.1.3-alt1.x86_64 arch-dep-package-has-big-usr-share info The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
sin kile-2.1.3-alt1.x86_64 dbus-xml-not-in-devel info file /usr/share/dbus-1/interfaces/net.sourceforge.kile.main.xml is not used in run time. Move it to the -devel subpackage.
sin lesstif-0.95.2-alt3.x86_64 library-pkgnames info package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
sin libbabel-devel-2.0.0-alt2.x86_64 altlinux-python-obsolete-buildreq-python-dev warn python-dev is obsolete according to Python Policy (http://www.altlinux.org/Python_Policy). Please, use BuildRequires: python-devel.
sin libcca-spec-babel-devel-0.8.6-alt8.svn20090721.x86_64 altlinux-python-obsolete-buildreq-python-dev warn python-dev is obsolete according to Python Policy (http://www.altlinux.org/Python_Policy). Please, use BuildRequires: python-devel.
sin libcca-spec-babel-j-0.8.6-alt8.svn20090721.x86_64 arch-dep-package-consists-of-usr-share info The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
sin libcca-spec-neo-debuginfo-0.2.8-alt12.2.x86_64 buildroot fail found paths to buildroot: /usr/lib/debug/usr/lib64/libGo-0.1.0.so.0.0.0.debug: Binary file /usr/lib/debug/usr/lib64/libGo-0.1.0.so.0.0.0.debug matches /usr/lib/debug/usr/lib64/libParameter-0.1.0.so.0.0.0.debug: Binary file /usr/lib/debug/usr/lib64/libParameter-0.1.0.so.0.0.0.debug matches /usr/lib/debug/usr/lib64/libSimpleStamper-0.9.0.so.0.0.0.debug: Binary file /usr/lib/debug/usr/lib64/libSimpleStamper-0.9.0.so.0.0.0.debug matches
sin libnss-fallback-0.0.1-alt2.qa1.src beehive-log-unpackaged-files-found-x86_64 info warning: Installed (but unpackaged) file(s) found:
/lib64/libnss_fallback.so
sin libtau-2.26.3-alt1.x86_64 buildroot fail found paths to buildroot: /usr/lib64/libTAUsh-memory-callpath-param-depthlimit-papi-mpi-pdt-openmp-opari-profile-trace-mpitrace.so.2.26.3: Binary file /usr/lib64/libTAUsh-memory-callpath-param-depthlimit-papi-mpi-pdt-openmp-opari-profile-trace-mpitrace.so.2.26.3 matches
sin libtau-common-2.26.3-alt1.x86_64 rpm-filesystem-conflict-file-file warn File /usr/include/opari2/pomp2_lib.h conflicts with the package opari2-devel-2.0.2-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
sin libtau-debuginfo-2.26.3-alt1.x86_64 buildroot fail found paths to buildroot: /usr/lib/debug/usr/lib64/libTAUsh-memory-callpath-param-depthlimit-papi-mpi-pdt-openmp-opari-profile-trace-mpitrace.so.2.26.3.debug: Binary file /usr/lib/debug/usr/lib64/libTAUsh-memory-callpath-param-depthlimit-papi-mpi-pdt-openmp-opari-profile-trace-mpitrace.so.2.26.3.debug matches
sin libv-devel-1.90-alt9.2.x86_64 windows-thumbnail-database-in-package warn /usr/share/doc/libv-devel-1.90/fig/Thumbs.db: It is the file in the package named Thumbs.db or Thumbs.db.gz, which is normally a Windows image thumbnail database. Such databases are generally useless in packages and were usually accidentally included by copying complete directories from the source tarball.
sin mcpp-doc-2.7.2-alt2.3.x86_64 arch-dep-package-consists-of-usr-share info The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
sin noip-2.1.9-alt2.x86_64 checkbashisms experimental checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/noip
sin noip-2.1.9-alt2.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
sin nss-tartarus-daemon-0.1.1-alt3.6.1.1.x86_64 checkbashisms experimental checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/tnscd
sin nss-tartarus-daemon-0.1.1-alt3.6.1.1.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
sin nss-tartarus-daemon-0.1.1-alt3.6.1.1.x86_64 init-lsb fail /etc/rc.d/init.d/tnscd: not systemd compatible: lsb init header missing and tnscd.service is not present. See http://www.altlinux.org/Services_Policy for details.
sin nss-tartarus-daemon-0.1.1-alt3.6.1.1.x86_64 subdir-in-var-run info Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
sin ponyprog2000-2.07c-alt4.src requires-ImageMagick info Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
sin python-module-kerberos-1.3.0-alt1.S1.1.src altlinux-python-obsolete-buildreq-python-dev warn python-dev is obsolete according to Python Policy (http://www.altlinux.org/Python_Policy). Please, use BuildRequires: python-devel.
sin ruby-httpclient-doc-2.8.2.4-alt1.1.noarch rpm-filesystem-conflict-file-file warn File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package asciidoctor-doc-1.5.6.1-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package chef-doc-12.15.11-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ohai-doc-14.1.6-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-azure-core-doc-0.1.14-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-backports-doc-3.7.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-chef-sugar-doc-3.4.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-em-http-request-doc-1.1.5-alt1.1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/URI/cdesc-URI.ri conflicts with the package ruby-escape_utils-doc-1.2.1-alt1.4.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-fast_gettext-doc-1.1.0-alt2.2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-ffi-yajl-doc-2.3.1-alt1.4.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-highline-doc-1.7.5-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/ri/site/HTTP/cdesc-HTTP.ri /usr/share/ri/site/String/cdesc-String.ri conflict with the package ruby-http-cookie-doc-1.0.3-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/HTTP/cdesc-HTTP.ri conflicts with the package ruby-http_parser.rb-doc-0.6.0-alt3.4.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/ri/site/cache.ri /usr/share/ri/site/created.rid conflict with the package ruby-iconv-1.0.5-alt1.2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/ri/site/cache.ri /usr/share/ri/site/created.rid conflict with the package ruby-makeconf-doc-0.3.0-alt1.svn20130509.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/ri/site/OpenSSL/cdesc-OpenSSL.ri /usr/share/ri/site/String/cdesc-String.ri conflict with the package ruby-mcollective-client-doc-2.11.0-alt1.1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-oj-doc-3.6.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/ri/site/cache.ri /usr/share/ri/site/created.rid conflict with the package ruby-parseconfig-doc-0.5-alt1.1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/URI/cdesc-URI.ri conflicts with the package ruby-proxifier-doc-1.0.3-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-puppet-lint-doc-3.0.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-sequel-doc-5.5.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-temple-doc-0.8.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-treetop-doc-1.6.10-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package ruby-unf-doc-0.1.4-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
File /usr/share/ri/site/String/cdesc-String.ri conflicts with the package taskjuggler-3.6.0-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
sin socket_wrapper-1.1.8-alt2.S1.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libsocket_wrapper.so but just /usr/lib64/libsocket_wrapper.so.0.1.8. According to SharedLibs Policy Draft, symlink /usr/lib64/libsocket_wrapper.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libsocket_wrapper.so to \%files of socket_wrapper-1.1.8-alt2.S1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
sin tau-2.26.3-alt1.x86_64 bin-permissions info not executable file /usr/bin/tau_resolve_addresses.py
sin tau-2.26.3-alt1.x86_64 checkbashisms experimental checkbashisms utility found possible bashisms in: /usr/bin/taudb_keygen /usr/bin/tauupc /usr/bin/configure-1.4 /usr/bin/tau_caf.sh /usr/bin/taucaf /usr/bin/tau_upc.sh
sin tau-2.26.3-alt1.x86_64 rpm-filesystem-conflict-file-file warn Files /usr/bin/pprof /usr/share/man/man1/pprof.1.xz conflict with the package gperftools-2.6.3-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
sin tau-2.26.3-alt1.x86_64 unsafe-tmp-usage-in-scripts fail The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/bin/tauupc: $ grep -A5 -B5 /tmp/ /usr/bin/tauupc fi TAUCOMPILER_OPTIONS="$TAUCOMPILER_OPTIONS $command_options" if [ $invoke_without_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @\$(TAU_RUN_CC) \$(TAU_MPI_INCLUDE) \$(TAU_UPC_COMPILER_OPTIONS) $NON_TAUARGS || exit 0 show: @echo \$(TAU_RUN_CC) \$(TAU_UPC_COMPILER_OPTIONS) \$(TAU_MPI_FLIBS) \$(TAU_LIBS) \$(TAU_LDFLAGS) \$(TAU_CXXLIBS) EOF make -s -f /tmp/makefile.tau.$USER.$$ $SHOW /bin/rm -f /tmp/makefile.tau.$USER.$$ fi if [ $invoke_with_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @\$(TAU_COMPILER) $TAUCOMPILER_OPTIONS \$(TAU_RUN_CC) \$(TAU_UPC_COMPILER_OPTIONS) $TAUARGS || exit 0 EOF make -s -f /tmp/makefile.tau.$USER.$$ x=$? /bin/rm -f /tmp/makefile.tau.$USER.$$ fi exit $x Found error in /usr/bin/tau_caf.sh: $ grep -A5 -B5 /tmp/ /usr/bin/tau_caf.sh TAUCOMPILER_OPTIONS="-optCompInst -optShared $TAUCOMPILER_OPTIONS" retval=0 if [ $invoke_without_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @if [ "x\$(TAU_F90)" = "x" ] ; then \ echo "Error, no fortran compiler specified in TAU configure (use -fortran=<>)" ; \ else \ -- show: @echo \$(TAU_F90) \$(TAU_MPI_FLIBS) \$(TAU_LIBS) \$(TAU_LDFLAGS) \$(TAU_CXXLIBS) showcompiler: @echo \$(TAU_F90) EOF make -s -f /tmp/makefile.tau.$USER.$$ $SHOW retval=$? /bin/rm -f /tmp/makefile.tau.$USER.$$ fi if [ $invoke_with_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @if [ "x\$(TAU_F90)" = "x" ] ; then \ echo "Error, no fortran compiler specified in TAU configure (use -fortran=<>)" ; \ else \ \$(TAU_COMPILER) $TAUCOMPILER_OPTIONS \$(TAU_F90) $TAUARGS ; \ fi EOF make -s -f /tmp/makefile.tau.$USER.$$ retval=$? /bin/rm -f /tmp/makefile.tau.$USER.$$ fi if [ $retval != 0 ] ; then exit 1 fi Found error in /usr/bin/taucaf: $ grep -A5 -B5 /tmp/ /usr/bin/taucaf TAUCOMPILER_OPTIONS="$TAUCOMPILER_OPTIONS $command_options" if [ $invoke_without_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @\$(TAU_F90) \$(TAU_MPI_INCLUDE) $NON_TAUARGS || exit 0 show: @echo \$(TAU_F90) \$(TAU_MPI_FLIBS) \$(TAU_LIBS) \$(TAU_LDFLAGS) \$(TAU_CXXLIBS) EOF make -s -f /tmp/makefile.tau.$USER.$$ $SHOW /bin/rm -f /tmp/makefile.tau.$USER.$$ fi if [ $invoke_with_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @\$(TAU_COMPILER) $TAUCOMPILER_OPTIONS \$(TAU_F90) $TAUARGS || exit 0 EOF make -s -f /tmp/makefile.tau.$USER.$$ x=$? /bin/rm -f /tmp/makefile.tau.$USER.$$ fi exit $x Found error in /usr/bin/tau_upc.sh: $ grep -A5 -B5 /tmp/ /usr/bin/tau_upc.sh TAUCOMPILER_OPTIONS="-optDefaultParser=edg44-upcparse -optTau=-upc -optTrackDMAPP $TAUCOMPILER_OPTIONS" retval=0 if [ $invoke_without_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @\$(TAU_RUN_CC) \$(TAU_MPI_INCLUDE) \$(TAU_UPC_COMPILER_OPTIONS) $NON_TAUARGS show: @echo \$(TAU_RUN_CC) \$(TAU_UPC_COMPILER_OPTIONS) \$(TAU_INCLUDE) \$(TAU_MPI_INCLUDE) \$(TAU_DEFS) \$(TAU_MPI_FLIBS) \$(TAU_LIBS) \$(TAU_LDFLAGS) \$(TAU_CXXLIBS) -- showincludes: @echo \$(TAU_INCLUDE) \$(TAU_MPI_INCLUDE) \$(TAU_UPC_COMPILER_OPTIONS) showlibs: @echo \$(TAU_MPI_FLIBS) \$(TAU_LIBS) \$(TAU_CXXLIBS) \$(TAU_UPC_COMPILER_OPTIONS) EOF make -s -f /tmp/makefile.tau.$USER.$$ $SHOW retval=$? /bin/rm -f /tmp/makefile.tau.$USER.$$ fi if [ $invoke_with_tau = yes ] ; then cat < /tmp/makefile.tau.$USER.$$ include $MAKEFILE all: @\$(TAU_COMPILER) $TAUCOMPILER_OPTIONS -optTauGASPU=\$(TAU_GASPU_UPC) \$(TAU_RUN_CC) \$(TAU_UPC_COMPILER_OPTIONS) $TAUARGS EOF make -s -f /tmp/makefile.tau.$USER.$$ retval=$? /bin/rm -f /tmp/makefile.tau.$USER.$$ fi if [ $retval != 0 ] ; then exit 1 fi
sin tau-debuginfo-2.26.3-alt1.x86_64 buildroot fail found paths to buildroot: /usr/lib/debug/usr/bin/tau2otf2.debug: Binary file /usr/lib/debug/usr/bin/tau2otf2.debug matches /usr/lib/debug/usr/bin/trace2profile.debug: Binary file /usr/lib/debug/usr/bin/trace2profile.debug matches /usr/lib/debug/usr/bin/tau_timecorrect.debug: Binary file /usr/lib/debug/usr/bin/tau_timecorrect.debug matches /usr/lib/debug/usr/bin/tau2profile.debug: Binary file /usr/lib/debug/usr/bin/tau2profile.debug matches /usr/lib/debug/usr/bin/tau_trace2json.debug: Binary file /usr/lib/debug/usr/bin/tau_trace2json.debug matches
sin vifm-0.9.1-alt1.x86_64 freedesktop-desktop info desktop-file-validate utility printed the following message(s): /usr/share/applications/vifm.desktop: hint: value "System;FileTools;FileManager;Utility;ConsoleOnly;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
sin vifm-0.9.1-alt1.x86_64 iconsdir experimental Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
sin virtualbox-5.1.30-alt3.src altlinux-python-obsolete-buildreq-python-dev warn python-dev is obsolete according to Python Policy (http://www.altlinux.org/Python_Policy). Please, use BuildRequires: python-devel.
sin virtualbox-5.1.30-alt3.x86_64 arch-dep-package-has-big-usr-share info The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
sin virtualbox-common-5.1.30-alt3.noarch init-lsb warn /etc/rc.d/init.d/virtualbox: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
sin virtualbox-guest-utils-5.1.30-alt3.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
sin virtualbox-guest-utils-5.1.30-alt3.x86_64 init-condrestart warn /etc/rc.d/init.d/vboxadd-service: missing condrestart target. Note: alt-specific script %_sbindir/post_service (used in %post_service macro) depends on condrestart. It is wise to add condrestart anyway./etc/rc.d/init.d/vboxadd-service: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway.
sin virtualbox-webservice-5.1.30-alt3.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
sin virtualbox-webservice-5.1.30-alt3.x86_64 init-condrestart warn /etc/rc.d/init.d/vboxweb-service: missing condrestart target. Note: alt-specific script %_sbindir/post_service (used in %post_service macro) depends on condrestart. It is wise to add condrestart anyway./etc/rc.d/init.d/vboxweb-service: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway.

generated by repocop at Wed May 23 05:02:43 2018